> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trajectory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Grader

> Finalize an uploaded grader into an org registry row (deduped by content hash).



## OpenAPI

````yaml /openapi.json post /api/v1/benchmarks/graders/{grader_id}/register
openapi: 3.1.0
info:
  title: Trajectory API
  version: 0.1.0
servers:
  - url: https://api.trajectory.ai
security: []
paths:
  /api/v1/benchmarks/graders/{grader_id}/register:
    post:
      tags:
        - benchmarks
      summary: Register Grader
      description: >-
        Finalize an uploaded grader into an org registry row (deduped by content
        hash).
      operationId: registerGrader
      parameters:
        - name: grader_id
          in: path
          required: true
          schema:
            type: string
            title: Grader Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterGraderRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Grader'
        default:
          $ref: '#/components/responses/ApiErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    RegisterGraderRequest:
      properties:
        type:
          type: string
          enum:
            - in_container_verifier
            - llm_judge
            - code
            - model
          title: Type
        ref:
          type: string
          title: Ref
        version:
          type: string
          title: Version
          default: '1'
        reward_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Reward Schema
        config:
          additionalProperties: true
          type: object
          title: Config
        entrypoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Entrypoint
        timeout_seconds:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Timeout Seconds
      type: object
      required:
        - type
        - ref
      title: RegisterGraderRequest
    Grader:
      properties:
        grader_id:
          type: string
          title: Grader Id
        organization_id:
          type: string
          title: Organization Id
        type:
          type: string
          title: Type
        ref:
          type: string
          title: Ref
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        reward_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Reward Schema
        config:
          additionalProperties: true
          type: object
          title: Config
        artifact_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Artifact Uri
        entrypoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Entrypoint
        timeout_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Timeout Seconds
        content_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Hash
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - grader_id
        - organization_id
        - type
        - ref
        - created_at
      title: Grader
    ApiErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/ApiErrorBody'
      required:
        - error
      title: ApiErrorEnvelope
      type: object
    ApiErrorBody:
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        code:
          title: Code
          type: string
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Param
        doc_url:
          type: string
          title: Doc Url
        context:
          additionalProperties: true
          title: Context
          type: object
      required:
        - type
        - code
        - message
        - doc_url
        - context
      title: ApiErrorBody
      type: object
    ErrorType:
      enum:
        - invalid_request_error
        - authentication_error
        - permission_error
        - conflict_error
        - rate_limit_error
        - dependency_error
        - api_error
      title: ErrorType
      type: string
  responses:
    ApiErrorResponse:
      description: >-
        Common API error. Possible codes: `authentication_required`,
        `permission_denied`, `validation_error`, `rate_limited`,
        `internal_error`, `service_unavailable`.
      headers:
        X-Request-ID:
          $ref: '#/components/headers/RequestId'
        Trajectory-Should-Retry:
          $ref: '#/components/headers/TrajectoryShouldRetry'
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
  headers:
    RequestId:
      schema:
        type: string
    TrajectoryShouldRetry:
      schema:
        type: boolean
    RetryAfter:
      schema:
        type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Organization API key

````